package com.jd.dynamic.lib.report.interfaces

import android.content.Context
import com.jd.dynamic.lib.report.impl.ReportConfig

/**
 * @author: xuepanjie1
 * @date:2022/2/28
 * @description:
 */

interface IReporter {
    fun report(
        ctx: Context,
        appId: String,
        eventId: String,
        pageId: String,
        jsonData: String,
        extJson: String? = null
    )

    fun reportWithEventTime(ctx: Context,
                            appId: String,
                            eventId: String,
                            pageId: String,
                            jsonData: String,
                            time: Long,
                            uuid: String,
                            extJson: String? = null)

    fun reportImmediate(appId: String)

    fun attachConfig(config: ReportConfig)
}