package com.jd.dynamic.lib.storage.filters

import com.jd.dynamic.lib.storage.IDYStorageFilterFile
import java.io.File

/**
 * @author: xuepanjie1
 * @date:2022/4/11
 * @description: 小于对应 length 的文件
 */

class DYLengthSmallFilter(private val length: Long) : IDYStorageFilterFile {
    override fun filter(file: File): Boolean {
        return file.length() < length
    }
}