package com.jd.dynamic.apis

/**
 * @author: xuepanjie1
 * @date:2022/3/18
 * @description: container status listener.
 */

interface IDYContainerListener {
    // 构建 container 成功之后回调，是外部调用的不是在 container 内部。
    fun onCreate()

    // load 成功之后回调，对于异步，成功失败都回调，
    fun onLoad()

    // 刷新之后回调
    fun onRefresh()
}