package com.jd.dynamic.lib.storage.filters

import com.jd.dynamic.lib.storage.IDYStorageFilterFile
import java.io.File

/**
 * @author: xuepanjie1
 * @date:2022/4/11
 * @description: 拦截不是该前缀的文件
 */

class DYNameNoPrefixFilter(private val prefix: String) : IDYStorageFilterFile {
    override fun filter(file: File): Boolean {
        return !file.name.startsWith(prefix)
    }
}